diff --git a/src/tools/msvc/vcregress.pl b/src/tools/msvc/vcregress.pl
index 6196383..d2e0b3d 100644
--- a/src/tools/msvc/vcregress.pl
+++ b/src/tools/msvc/vcregress.pl
@@ -156,14 +156,13 @@ sub ecpgcheck
 
 sub isolationcheck
 {
-	chdir $startdir;
-
-	InstallTemp();
+	copy("${topdir}/$Config/isolationtester/isolationtester.exe",
+		 "${topdir}/$Config/pg_isolation_regress");
 	chdir "${topdir}/src/test/isolation";
 
 	my @args = (
-		"${tmp_installdir}/bin/pg_isolation_regress",
-		"--bindir=${tmp_installdir}/bin",
+		"${topdir}/$Config/pg_isolation_regress/pg_isolation_regress",
+		"--bindir=${topdir}/${Config}/psql",
 		"--inputdir=.",
 		"--schedule=./isolation_schedule");
 	push(@args, $maxconn) if $maxconn;
@@ -174,9 +173,6 @@ sub isolationcheck
 
 sub plcheck
 {
-	chdir $startdir;
-
-	InstallTemp();
 	chdir "${topdir}/src/pl";
 
 	foreach my $pl (glob("*"))
@@ -214,8 +210,8 @@ sub plcheck
 		  "============================================================\n";
 		print "Checking $lang\n";
 		my @args = (
-			"${tmp_installdir}/bin/pg_regress",
-			"--bindir=${tmp_installdir}/bin",
+			"$topdir/$Config/pg_regress/pg_regress",
+			"--bindir=${topdir}/${Config}/psql",
 			"--dbname=pl_regression", @lang_args, @tests);
 		system(@args);
 		my $status = $? >> 8;
@@ -277,8 +273,8 @@ sub subdircheck
 	print "============================================================\n";
 	print "Checking $module\n";
 	my @args = (
-		"${tmp_installdir}/bin/pg_regress",
-		"--bindir=${tmp_installdir}/bin",
+		"$topdir/$Config/pg_regress/pg_regress",
+		"--bindir=${topdir}/${Config}/psql",
 		"--dbname=contrib_regression", @opts, @tests);
 	system(@args);
 	my $status = $? >> 8;
@@ -290,11 +286,9 @@ sub subdircheck
 
 sub contribcheck
 {
-	InstallTemp();
 	chdir "$topdir/contrib";
 	foreach my $module (glob("*"))
 	{
-
 		# these configuration-based exclusions must match Install.pm
 		next if ($module eq "uuid-ossp"     && !defined($config->{uuid}));
 		next if ($module eq "sslinfo"       && !defined($config->{openssl}));
@@ -310,7 +304,6 @@ sub contribcheck
 
 sub modulescheck
 {
-	InstallTemp();
 	chdir "$topdir/src/test/modules";
 	foreach my $module (glob("*"))
 	{
@@ -323,8 +316,8 @@ sub modulescheck
 sub standard_initdb
 {
 	return (
-		system("${tmp_installdir}/bin/initdb", '-N') == 0 and system(
-			"${tmp_installdir}/bin/pg_regress", '--config-auth',
+		system("initdb", '-N') == 0 and system(
+			"$topdir/$Config/pg_regress/pg_regress", '--config-auth',
 			$ENV{PGDATA}) == 0);
 }
 
